Репозиторий Sisyphus
Последнее обновление: 21 августа 2019 | Пакетов: 17343 | Посещений: 14697998
en ru br
Репозитории ALT

Группа :: Разработка/Отладчики
Пакет: snoopy

 Главная   Изменения   Спек   Патчи   Sources   Загрузить   Gear   Bugs and FR  Repocop 


id пакета статус тест сообщение
snoopy-2.4.6-alt1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libsnoopy.so but just /usr/lib64/libsnoopy.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libsnoopy.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libsnoopy.so to \%files of snoopy-2.4.6-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
snoopy-2.4.6-alt1.x86_64
ok
checkbashisms
snoopy-2.4.6-alt1.x86_64
ok
buildroot
snoopy-2.4.6-alt1.x86_64
ok
unsafe-tmp-usage-in-scripts
snoopy-2.4.6-alt1.x86_64
ok
sisyphus_check
snoopy-debuginfo-2.4.6-alt1.x86_64
ok
checkbashisms
snoopy-debuginfo-2.4.6-alt1.x86_64
ok
buildroot
snoopy-debuginfo-2.4.6-alt1.x86_64
ok
unsafe-tmp-usage-in-scripts
snoopy-debuginfo-2.4.6-alt1.x86_64
ok
sisyphus_check
 
дизайн и разработка: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
текущий майнтейнер: Michael Shigorin